// Code generated by protoc-gen-go-grpc. DO NOT EDIT.

package catalogupdate

import (
	context "context"
	grpc "google.golang.org/grpc"
	codes "google.golang.org/grpc/codes"
	status "google.golang.org/grpc/status"
)

// This is a compile-time assertion to ensure that this generated file
// is compatible with the grpc package it is being compiled against.
// Requires gRPC-Go v1.32.0 or later.
const _ = grpc.SupportPackageIsVersion7

// CatalogUpdateClient is the client API for CatalogUpdate service.
//
// For semantics around ctx use and closing/ending streaming RPCs, please refer to https://pkg.go.dev/google.golang.org/grpc/?tab=doc#ClientConn.NewStream.
type CatalogUpdateClient interface {
	UpdatePerson(ctx context.Context, in *UpdatePersonRequest, opts ...grpc.CallOption) (*UpdatePersonReply, error)
}

type catalogUpdateClient struct {
	cc grpc.ClientConnInterface
}

func NewCatalogUpdateClient(cc grpc.ClientConnInterface) CatalogUpdateClient {
	return &catalogUpdateClient{cc}
}

func (c *catalogUpdateClient) UpdatePerson(ctx context.Context, in *UpdatePersonRequest, opts ...grpc.CallOption) (*UpdatePersonReply, error) {
	out := new(UpdatePersonReply)
	err := c.cc.Invoke(ctx, "/catalogupdate.CatalogUpdate/UpdatePerson", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

// CatalogUpdateServer is the server API for CatalogUpdate service.
// All implementations must embed UnimplementedCatalogUpdateServer
// for forward compatibility
type CatalogUpdateServer interface {
	UpdatePerson(context.Context, *UpdatePersonRequest) (*UpdatePersonReply, error)
	mustEmbedUnimplementedCatalogUpdateServer()
}

// UnimplementedCatalogUpdateServer must be embedded to have forward compatible implementations.
type UnimplementedCatalogUpdateServer struct {
}

func (UnimplementedCatalogUpdateServer) UpdatePerson(context.Context, *UpdatePersonRequest) (*UpdatePersonReply, error) {
	return nil, status.Errorf(codes.Unimplemented, "method UpdatePerson not implemented")
}
func (UnimplementedCatalogUpdateServer) mustEmbedUnimplementedCatalogUpdateServer() {}

// UnsafeCatalogUpdateServer may be embedded to opt out of forward compatibility for this service.
// Use of this interface is not recommended, as added methods to CatalogUpdateServer will
// result in compilation errors.
type UnsafeCatalogUpdateServer interface {
	mustEmbedUnimplementedCatalogUpdateServer()
}

func RegisterCatalogUpdateServer(s grpc.ServiceRegistrar, srv CatalogUpdateServer) {
	s.RegisterService(&CatalogUpdate_ServiceDesc, srv)
}

func _CatalogUpdate_UpdatePerson_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(UpdatePersonRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(CatalogUpdateServer).UpdatePerson(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/catalogupdate.CatalogUpdate/UpdatePerson",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(CatalogUpdateServer).UpdatePerson(ctx, req.(*UpdatePersonRequest))
	}
	return interceptor(ctx, in, info, handler)
}

// CatalogUpdate_ServiceDesc is the grpc.ServiceDesc for CatalogUpdate service.
// It's only intended for direct use with grpc.RegisterService,
// and not to be introspected or modified (even as a copy)
var CatalogUpdate_ServiceDesc = grpc.ServiceDesc{
	ServiceName: "catalogupdate.CatalogUpdate",
	HandlerType: (*CatalogUpdateServer)(nil),
	Methods: []grpc.MethodDesc{
		{
			MethodName: "UpdatePerson",
			Handler:    _CatalogUpdate_UpdatePerson_Handler,
		},
	},
	Streams:  []grpc.StreamDesc{},
	Metadata: "catalog-update-api/catalogupdate/catalog-update.proto",
}
